package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author wangfeng
 * @date 2018年11月21日 下午2:31:42
 */
public enum InsertOrUpdateEnum implements KeyedNamed {
    Insert(1, "新增"),
    Update(2, "修改");

    @Setter
    private int key;

    @Setter
    private String name;

    InsertOrUpdateEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static InsertOrUpdateEnum getEnum(int key) {
        for (InsertOrUpdateEnum item : InsertOrUpdateEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        InsertOrUpdateEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

